<!-- <div *ngIf="product.title">
  <img
    
  />
  <mat-card-content>
    <mat-card-title></mat-card-title>
    <mat-card-subtitle>{{ product.description }}</mat-card-subtitle>
    <mat-card-subtitle>
      
    </mat-card-subtitle>
  </mat-card-content>
  <div class="card-footer">
    <button mat-button *ngIf="showActions" class="btn btn-primary btn-block">
      Add to Cart
    </button>
  </div>
</div> -->

<!-- ************************************************************************************* -->
<!-- *************************************************************************************** -->
<!-- *************************************************************** -->

<div class="container mt-5 mb-5">
  <div class="d-flex justify-content-center row">
    <div class="col-md-10">
      <div class="row p-2 bg-white border rounded">
        <div class="col-md-3 mt-1">
          <img
            class="img-fluid img-responsive rounded product-image"
            [src]="product.imageUrl"
            alt="{{ product.title }}"
            *ngIf="product.imageUrl"
          />
        </div>
        <div class="col-md-6 mt-1">
          <h5>{{ product.title }}</h5>
          <div class="d-flex flex-row">
            <!-- <div class="ratings mr-2">
              <i class="fa fa-star"></i><i class="fa fa-star"></i
              ><i class="fa fa-star"></i><i class="fa fa-star"></i>
            </div>
            <span>310</span> -->
          </div>
          <!-- <div class="mt-1 mb-1 spec-1">
            <span>100% cotton</span><span class="dot"></span
            ><span>Light weight</span><span class="dot"></span
            ><span>Best finish<br /></span>
          </div>
          <div class="mt-1 mb-1 spec-1">
            <span>Unique design</span><span class="dot"></span
            ><span>For men</span><span class="dot"></span
            ><span>Casual<br /></span>
          </div> -->
          <br />
          <p class="text-justify text-truncate para mb-0">
            {{ product.description }}<br /><br />
          </p>
        </div>
        <div
          class="align-items-center align-content-center col-md-3 border-left mt-1"
        >
          <div class="d-flex flex-row align-items-center">
            <h4 class="mr-1">{{ product.price | currency: "INR":true }}</h4>
            <!-- <span class="strike-text">$20.99</span> -->
          </div>
          <!-- <h6 class="text-success">Free shipping</h6> -->
          <div class="d-flex flex-column mt-4">
            <button
              *ngIf="showActions"
              class="btn btn-primary btn-sm"
              type="button"
            >
              Add to Cart
            </button>
            <!-- <button class="btn btn-outline-primary btn-sm mt-2" type="button">
              Add to wishlist
            </button> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
